Show / Hide Table of Contents

# Class ChannelUpdateAuditLogData

Contains a piece of audit log data related to a channel update.

##### Inheritance

System.Object
ChannelUpdateAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class ChannelUpdateAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### After

Gets the channel information after the changes.

##### Declaration

    public ChannelInfo After { get; }

##### Property Value

Type | Description
--- | ---
ChannelInfo | An information object containing the channel information after the changes were made.

| Improve this Doc View Source

#### Before

Gets the channel information before the changes.

##### Declaration

    public ChannelInfo Before { get; }

##### Property Value

Type | Description
--- | ---
ChannelInfo | An information object containing the original channel information before the changes were made.

| Improve this Doc View Source

#### ChannelId

Gets the snowflake ID of the updated channel.

##### Declaration

    public ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier for the updated channel.

### Implements

IAuditLogData